Bug 1049557 - Review Request: jpeginfo - Utility to obtain information from JPEG files
Summary: Review Request: jpeginfo - Utility to obtain information from JPEG files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 18:15 UTC by Denis Fateyev
Modified: 2014-06-30 12:10 UTC (History)
3 users (show)

Fixed In Version: jpeginfo-1.6.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-25 14:11:25 UTC
Type: ---
ignatenko: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Denis Fateyev 2014-01-07 18:15:20 UTC
Spec URL: http://www.fateyev.com/RPMS/Fedora19/testing/jpeginfo.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/jpeginfo-1.6.1-1.fc19.denf.src.rpm
Description: Jpeginfo is an utility to generate informative listings from JPEG files, and to check them for errors. Program also supports automatic deletion of broken JPEGs.
Fedora Account System Username: dfateyev

Rawhide scratch builds for this package are available here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6370170

Comment 1 Igor Gnatenko 2014-01-10 14:08:18 UTC
Taken ;)

Comment 2 Igor Gnatenko 2014-01-10 14:15:42 UTC
Fast look at spec:

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
%if 0%{?el5}
%clean
rm -rf %{buildroot}
%endif

and the same....
If you don't want to package it for EL5 - drop it.

%defattr(-,root,root,-)

Not needed since F18 or older.

install -Dpm 0755 jpeginfo %{buildroot}/%{_bindir}/jpeginfo
install -Dpm 0644 jpeginfo.1 %{buildroot}/%{_mandir}/man1/jpeginfo.1

Why you using this? why not %make_install, which identical to make install DESTDIR=%{buildroot} ?

Comment 3 Igor Gnatenko 2014-01-10 14:25:19 UTC
- Fix incorrect FSF address in files
COPIYNG, COPYRIGHT
- Add Public Domain License to Licese-tag
- Please remove getopt sources in prep section (for innocence)

Comment 4 Denis Fateyev 2014-01-10 16:57:22 UTC
Igor, thanks for reviewing.

>If you don't want to package it for EL5 - drop it.

That's made intentionally since among other systems I'm planning to provide it for EPEL5. All el5-related stuff wrapped into conditionals.

> %defattr(-,root,root,-)
> Not needed since F18 or older.

Same here - I left that also for Fedora since it doesn't break things.

> Why you using this? why not %make_install, which identical to 
> make install DESTDIR=%{buildroot} ?

Unfortunately, "make install" (and aliases) doen't work properly with the package due some vagueness in Makefile. I preferred to pick the needed things up to place them into the right location manually instead of patching Makefile.

> Please remove getopt sources in prep section (for innocence)

Didn't get that, sorry. Could you provide more details?

> Fix incorrect FSF address in files COPIYNG, COPYRIGHT
> Add Public Domain License to Licese-tag

It's licensed under GPLv2 or later, cannot be considered as Public Domain ;-)
As for the "incorrect FSF postal address", I really doubt it's an issue here.

Comment 5 Matthew Miller 2014-01-16 13:35:32 UTC
Funny, I was just thinking it'd be handy to have this packaged up. I'll let Igor finish the official review but throw in a few comments.

It's not a big deal but I'd like to see more descriptive Summary -- something that mentions the error-checking capability, since we have a number of other utilities which do the listing and none that do the checking. I'd also suggest sneaking '.jpg' into the summary so that comes up in people's searches. 

Summary: Error-check and generate informative listings from JPEG files

%description
Jpeginfo prints information and tests integrity of JPEG/JFIF files. It can
generate informative listings of .jpg files, and can also be used to test 
them for errors (and optionally delete broken files).

or so.


The license should be 

License: GPLv2+

since it includes the "or later" clause.

I think we're missing some buildrequires, aren't we?

BuildRequires: libjpeg-devel


I don't think that there's any reason to remove the getopt files, but it also doesn't hurt. The idea is just to make sure that some glitch in the build process doesn't accidentally use those instead of the proper system version. 

There is an md5 copylib, which has an automatic extension but which should be noted -- see https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries  -- which says to do:

Provides: bundled(md5-plumb)

(In this case, since it's the Colin Plumb code.)

Comment 6 Denis Fateyev 2014-01-16 21:01:58 UTC
(In reply to Matthew Miller from comment #5)
> Funny, I was just thinking it'd be handy to have this packaged up. I'll let
> Igor finish the official review but throw in a few comments.
> 
> It's not a big deal but I'd like to see more descriptive Summary --
> something that mentions the error-checking capability, since we have a
> number of other utilities which do the listing and none that do the
> checking. I'd also suggest sneaking '.jpg' into the summary so that comes up
> in people's searches. 

Matthew, thanks for these pretty informative descriptions! I have just added them into the spec.

I've also ajusted License tag, removed getopt files, and added Provides as requested.
As for BuildRequires, "libjpeg-devel" is already presented there, seems there are no other specific dependencies. Please check the spec file if I'm wrong.

Updated spec: http://www.fateyev.com/RPMS/Fedora19/testing/jpeginfo.spec
Source RPM: http://www.fateyev.com/RPMS/Fedora19/testing/SRPMS/jpeginfo-1.6.1-1.fc19.denf.src.rpm

Comment 7 Matthew Miller 2014-01-16 22:48:09 UTC
I must have just overlooked the libjpeg-devel. Apologies! 

It all looks good to me.

Comment 8 Igor Gnatenko 2014-01-24 06:48:26 UTC
APPROVED.

Sorry for the delay :(

Comment 9 Denis Fateyev 2014-01-24 08:47:06 UTC
New Package SCM Request
=======================
Package Name: jpeginfo
Short Description: Error-check and generate informative listings from JPEG files
Owners: dfateyev
Branches: f19 f20 el5 el6
InitialCC:

Comment 10 Gwyn Ciesla 2014-01-24 12:45:02 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-01-25 14:26:58 UTC
jpeginfo-1.6.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/jpeginfo-1.6.1-1.el5

Comment 12 Fedora Update System 2014-01-25 14:28:52 UTC
jpeginfo-1.6.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/jpeginfo-1.6.1-1.el6

Comment 13 Fedora Update System 2014-01-25 14:31:31 UTC
jpeginfo-1.6.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/jpeginfo-1.6.1-1.fc19

Comment 14 Fedora Update System 2014-01-25 14:33:41 UTC
jpeginfo-1.6.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jpeginfo-1.6.1-1.fc20

Comment 15 Fedora Update System 2014-02-03 02:44:10 UTC
jpeginfo-1.6.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 16 Fedora Update System 2014-02-03 02:46:35 UTC
jpeginfo-1.6.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2014-02-08 20:45:29 UTC
jpeginfo-1.6.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2014-02-08 20:46:07 UTC
jpeginfo-1.6.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 19 Denis Fateyev 2014-06-27 19:58:06 UTC
Package Change Request
======================
Package Name: jpeginfo
New Branches: epel7
Owners: dfateyev

Comment 20 Gwyn Ciesla 2014-06-30 12:10:35 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.